{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine rlist, set_list_box_data, security_err_msg, sendmessage\r\ndeclare function send_event, set_property, end_window, security_check\r\ndeclare function center_window, getwindow, fieldcount\r\n$insert security_rights_equ\r\n$insert rlist_equates\r\n$insert lsl_common\r\nequ QbfOccurred$ to 1126\r\n\r\nif Misc@<CenterWindow$> then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\nKeys = field( CreateParam, '*', 1 )\r\nif Keys then\r\n   if fieldcount( Keys, @vm ) > 1 then\r\n\t   * need to send to qbf\r\n\t   convert @vm to @fm in Keys\r\n\t   Void = set_property( @window, 'QBFLIST', Keys ) \r\n\t   WndHnd = get_property( @window, 'HANDLE' )\r\n\t   HbBar = getwindow( WndHnd, 5 )\r\n\t   sendmessage( HbBar, QbfOccurred$, 0, 0 )\r\n\t   Void = set_property( @window, '@NoRead', 1 ) \r\n\t   .schedule_no->text = Keys<1>\r\n\t   Void = send_event( @window, 'READ' )\r\n\t   Void = set_property( @window, '@NoRead', 0 )\r\n   end else\r\n       .schedule_no->text = keys\r\n       Void = send_event( @window:'.SCHEDULE_NO', 'LOSTFOCUS', '' )\r\n   end\r\nend \r\n\r\nif security_check( 'Schedule SRL', Read$ ) then\r\n   set_list_box_data( @window )\r\nend else\r\n   security_err_msg( 'Schedule SRL', Read$ )\r\n   Void = end_window( @window, '' )\r\n   return 0\r\nend\r\nif security_check( 'Schedule SRL', Edit$ ) else\r\n   security_err_msg( 'Schedule SRL', Edit$ )\r\nend\r\nVoid = set_property( @window, '@NoRead', 0 )\r\nRETURN 0"
        }
    }
}